Subject: Re: [Dots] Call for adoption on draft-boucadair-dots-server-discovery

From: <[email-masked]>
Date: Tue, 26 Feb 2019 15:06:48 +0000

Hi Wei,

Apologies for the delay to answer this message.

Please see inline.

Cheers,
Med

De : Dots [mailto:[email-masked]] De la part de Panwei (William)
Envoyé : samedi 26 janvier 2019 10:38
À : [email-masked]
Objet : Re: [Dots] Call for adoption on draft-boucadair-dots-server-discovery

Hi,

I support adoption of this draft.

Two typos:

1. Section 5
When only DOTS server' IP
               ^^^^^^^
addresses are configured, a reference identifier must also be
configured for authentication purposes.

"server'" should be "server's".

2. Section 9.1.2 and 9..2.2
9.1.2. Format Format of DOTS Address Option
       ^^^^^^^^^^^^^
9.2.2. Format Format of DOTS Address Option
       ^^^^^^^^^^^^^

Duplicate "Format".

[Med] Fixed. Thanks.

Two comments:

1. Section 9.1.1 and 9..2.1 describe the DOTS Reference Identifier Option, but the content of these Option is DOTS server name. I'm not quite familiar with this, so I just raise this and want to make sure if the content is right.

[Med] That is on purpose. The introduction text in Section 9 states the following:

   Defining the option to include a list of IP addresses would avoid a

   dependency on an underlying name resolution, but that design requires

   to also supply a name for PKIX-based authentication purposes.

The option is not called "name" but reference identifier, because aliasing is not recommended as per https://tools.ietf.org/html/rfc7227#section-7.

2. In section 9.1.2, the "List of DOTS IPv4 Addresses" contains one or more IPv4 addresses of a DOTS server, and the "OPTION_V4_DOTS" can include multiple lists. When the "OPTION_V4_DOTS" includes multiple lists, do these lists belong to one DOTS server or multiple DOTS servers? My understanding is that multiple lists belong to multiple DOTS servers and one DOTS server only has one list. I'm not quite sure, maybe an example can be added in the draft.

[Med] The text says the following:

      OPTION_V4_DOTS can include multiple lists of DOTS IPv4 addresses;

      each list is treated separately as it corresponds to a given DOTS

      server.

That a client can be provided with one or multiple DOTS servers. Each of these servers can be bound to one or multiple IPv4 addresses.

Best Regards

Wei Pan

> -----Original Message-----

> From: Dots [mailto:[email-masked]] On Behalf Of Roman Danyliw

> Sent: Saturday, December 01, 2018 6:22 AM

> To: [email-masked]

> Subject: [Dots] Call for adoption on draft-boucadair-dots-server-discovery

> Hello!

> This is the start of a two week call for input on the WG adoption of the

> document:

> draft-boucadair-dots-server-discovery

> https://tools.ietf.org/html/draft-boucadair-dots-server-discovery-05

> The document has been presented and discussed at IETF 103, IETF 100

> and IETF 99;  and revisions have been made based on WG feedback.

> Discussion of adoption of this draft was previously deferred pending

> submission of the signal draft for publication (which occurred in

> September 2018).

> At the IETF 103 meeting, there were not many participants who had read

> the draft.

> Please provide feedback to the list/chairs if you believe that this

> document should be adopted as a WG document.  The adoption call will

> end on December 14 2018.

> Regards,

> Roman and Frank

> _______________________________________________

> Dots mailing list

> [email-masked]<mailto:[email-masked]>

> https://www.ietf.org/mailman/listinfo/dots